services:
  gds:
    restart: unless-stopped
    image: nginx-gds
    build: ./
    networks:
      - traefik_nas
    volumes:
      - ./games:/srv/http/games
    ports:
      - "6090:80"
    labels:
      - "traefik.http.routers.gds.rule=Host(`gds.mitchelbv.nl`)"
      - "traefik.http.routers.gds.entrypoints=web-secure"
      - "traefik.http.routers.gds.tls=true"
      - "traefik.http.routers.gds.tls.certresolver=cert_resolver"
networks:
  traefik_nas:
    external: true


